How do I update sane from 1.0.22 on Katya or Maya?

Questions about applications and software
Forum rules
Before you post please read this

How do I update sane from 1.0.22 on Katya or Maya?

Postby dhdurgee on Thu Jan 17, 2013 12:33 pm

I recently picked up a Canon PIXMA MG2120 on sale to use as a scanner on my system. Unfortunately sane 1.0.22 does not recognize it, according to someone on the sane-devel list I need at least 1.0.23 for this scanner to work. Checking in the package manager shows that 1.0.22 is the version in the repository. Going to the sane-project web site shows the following in the download area:

"Most Linux distributions package SANE with modifications required to support their authentication or permissions systems. We recommend you use the vendor's packages. If you need a more updated version of SANE, be prepared to build from source, and ask on a distro-specific forum for advice."

Thus, I am asking here how am I to get the updated SANE release? Checking with apt-cache shows:

dhdurgee@DHD-Z560 ~/Downloads $ apt-cache policy libsane
libsane:
Installed: 1.0.22-2ubuntu1
Candidate: 1.0.22-2ubuntu1
Version table:
*** 1.0.22-2ubuntu1 0
500 http://archive.ubuntu.com/ubuntu/ natty/main amd64 Packages
100 /var/lib/dpkg/status

So it appears that this is an ubuntu supported package. Should I ask over there? Does a request need to come from the mint team?

Dave

PS: I just did a bit more searching and find that it appears that 1.0.23 is available with the ubuntu quantal release. Does that open a path to get it for natty and thus Katya?

Dave

PPS: I just located a ppa for sane backends:

https://launchpad.net/~nathan-renniewal ... chive/sane

Has anyone else tried this yet? If not, I guess I will be the pioneer.

Dave
dhdurgee
Level 4
Level 4
 
Posts: 215
Joined: Thu Jul 02, 2009 7:56 pm

Linux Mint is funded by ads and donations.
 

Re: How do I update sane from 1.0.22 on Katya or Maya?

Postby jungle_boy on Thu Jan 17, 2013 4:13 pm

I am running Linux Mint 14 , xfce and current libsane is 1.0.23.
LM17 Cinnamon (PC and Notebook) with AMD Catalyst
HP Pavilion g4-1316br, AMD Quad Core, 1,5 GHz, Radeon 6520G/7450M,
Image
Linuxcounter Registered User #506065 (2008)
User avatar
jungle_boy
Level 6
Level 6
 
Posts: 1216
Joined: Thu Aug 19, 2010 2:51 pm
Location: Amazon Rain Forest, Brazil

Re: How do I update sane from 1.0.22 on Katya or Maya?

Postby dhdurgee on Fri Jan 18, 2013 3:49 pm

It looks like sane 1.0.23 still has problems with my Canon PIXMA MG2120 as a scanner, so I need to get 1.0.24 installed. It appears that this is still in development and I had to download the snapshot from the developers to build the binaries myself. Has anyone else done this on Katya x64? Anything I need to watch out for?

Dave
dhdurgee
Level 4
Level 4
 
Posts: 215
Joined: Thu Jul 02, 2009 7:56 pm


Return to Software & Applications

Who is online

Users browsing this forum: Google [Bot] and 22 guests